Jump to page: 1 2
Thread overview
How to run the dub bundle with dmd
Aug 10
Dukc
August 10
I came across the problem recently. I have dub 1.11.0 install on my windows 10 core i7 but does not support the command "dub add package name" since all the packages in dub package register now use this command. I cannot find window binary for the recent version of dub

I have uninstalled the dub 1.11.0 on my machine, I have to use the one bundled with DMD 2.087.1. If I run dub -version, windows 10 throw an error that says " this app can run on this machine". I cannot also install DLS. This same error. I get this error from dlang related app such as dub,rdmd, Dls, etc.


I will appreciate any help
August 10
On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
> I came across the problem recently. I have dub 1.11.0 install on my windows 10 core i7 but does not support the command "dub add package name" since all the packages in dub package register now use this command. I cannot find window binary for the recent version of dub

What did you precisely write on the console, and what was the output?

>
> I have uninstalled the dub 1.11.0 on my machine, I have to use the one bundled with DMD 2.087.1. If I run dub -version, windows 10 throw an error that says " this app can run on this machine".

That means that either you installed wrong dub (linux version for example), or the executable file is corrupt. Download a new one.



August 10
On Saturday, 10 August 2019 at 13:30:39 UTC, Dukc wrote:
> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>> I came across the problem recently. I have dub 1.11.0 install on my windows 10 core i7 but does not support the command "dub add package name" since all the packages in dub package register now use this command. I cannot find window binary for the recent version of dub
>
> What did you precisely write on the console, and what was the output?
>
>>
>> I have uninstalled the dub 1.11.0 on my machine, I have to use the one bundled with DMD 2.087.1. If I run dub -version, windows 10 throw an error that says " this app can run on this machine".
>
> That means that either you installed wrong dub (Linux version for example), or the executable file is corrupt. Download a new one.



I am talking of the dub that is bundled with DMD 2.087.1

dmd is working fine but I can't use it dub


August 10
On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
> I came across the problem recently. I have dub 1.11.0 install on my windows 10 core i7 but does not support the command "dub add package name" since all the packages in dub package register now use this command. I cannot find window binary for the recent version of dub
>
> I have uninstalled the dub 1.11.0 on my machine, I have to use the one bundled with DMD 2.087.1. If I run dub -version, windows 10 throw an error that says " this app can run on this machine". I cannot also install DLS. This same error. I get this error from dlang related app such as dub,rdmd, Dls, etc.
>
>
> I will appreciate any help

Can you make a screenshot of the popup?

Kind regards
Andre
August 10
On Saturday, 10 August 2019 at 13:46:23 UTC, Andre Pany wrote:
> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>> I came across the problem recently. I have dub 1.11.0 install on my windows 10 core i7 but does not support the command "dub add package name" since all the packages in dub package register now use this command. I cannot find window binary for the recent version of dub
>>
>> I have uninstalled the dub 1.11.0 on my machine, I have to use the one bundled with DMD 2.087.1. If I run dub -version, windows 10 throw an error that says " this app can run on this machine". I cannot also install DLS. This same error. I get this error from dlang related app such as dub,rdmd, Dls, etc.
>>
>>
>> I will appreciate any help
>
> Can you make a screenshot of the popup?
>
> Kind regards
> Andre

I have make a screenshot of the popup but I don't know to post here. Is there away to post a pix here
August 10
On Saturday, 10 August 2019 at 14:06:11 UTC, greatsam4sure wrote:
> On Saturday, 10 August 2019 at 13:46:23 UTC, Andre Pany wrote:
>> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>>> [...]
>>
>> Can you make a screenshot of the popup?
>>
>> Kind regards
>> Andre
>
> I have make a screenshot of the popup but I don't know to post here. Is there away to post a pix here

Please use a free service and paste the link here. This is the first link I found on Google

https://imgbb.com/

Kind regards
Andre
August 10
On Saturday, 10 August 2019 at 14:06:11 UTC, greatsam4sure wrote:
> On Saturday, 10 August 2019 at 13:46:23 UTC, Andre Pany wrote:
>> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>>> [...]
>>
>> Can you make a screenshot of the popup?
>>
>> Kind regards
>> Andre
>
> I have make a screenshot of the popup but I don't know to post here. Is there away to post a pix here

Could you also please check wheter the dub executable is "signed". Maybe this was forgotten in the recent version and now causing the issue.

Kind regards
Andre
August 10
On Saturday, 10 August 2019 at 15:17:56 UTC, Andre Pany wrote:
> On Saturday, 10 August 2019 at 14:06:11 UTC, greatsam4sure wrote:
>> On Saturday, 10 August 2019 at 13:46:23 UTC, Andre Pany wrote:
>>> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>>>> [...]
>>>
>>> Can you make a screenshot of the popup?
>>>
>>> Kind regards
>>> Andre
>>
>> I have make a screenshot of the popup but I don't know to post here. Is there away to post a pix here
>
> Could you also please check wheter the dub executable is "signed". Maybe this was forgotten in the recent version and now causing the issue.
>
> Kind regards
> Andre


thanks, below is the link to the screenshot
https://ibb.co/CJLNQ6t
August 10
On Saturday, 10 August 2019 at 15:17:56 UTC, Andre Pany wrote:
> On Saturday, 10 August 2019 at 14:06:11 UTC, greatsam4sure wrote:
>> On Saturday, 10 August 2019 at 13:46:23 UTC, Andre Pany wrote:
>>> On Saturday, 10 August 2019 at 13:18:19 UTC, greatsam4sure wrote:
>>>> [...]
>>>
>>> Can you make a screenshot of the popup?
>>>
>>> Kind regards
>>> Andre
>>
>> I have make a screenshot of the popup but I don't know to post here. Is there away to post a pix here
>
> Could you also please check wheter the dub executable is "signed". Maybe this was forgotten in the recent version and now causing the issue.
>
> Kind regards
> Andre

dub is digitally sign. It says name of signer: D language foundation
I have download dub for GitHub but I cannot build it with dub or rdmd. It gives the same error on the screenshot
August 11
This is a crazy question but is your Windows install 64bit?
« First   ‹ Prev
1 2